User Commands

## NAME

     icewm-menu-fdo - menu generator for .desktop files

## SYNOPSIS

icewm-menu-fdo [OPTIONS] [FILENAME]

## DESCRIPTION

icewm-menu-fdo generates a menu for the IceWM window manager from XDG menu descriptors (aka FreeDesktop.Org .desktop files). By including this in the icewm-menu(1), the system applications become available in the icewm start menu.

## ARGUMENTS

[FILENAME]

  The optional FILENAME argument is the location of a .desktop file. When given, icewm-menu-fdo launches the application using the `Exec` line from the desktop file.

## OPTIONS

-g, --generic

  Include the generic name in parentheses in the title of prog entries.

--seps

  Print a leading and a trailing separator.

--sep-before

  Print a leading separator.

--sep-after

  Print a trailing separator.

--no-sep-others

  Don't print the `Other` category last.

--no-sub-cats

  Don't nest subcategories in submenus.

-o, --output=FILE

  Write the output to FILE.

-h, --help

  Print a brief usage statement to stdout and exit.

-V, --version

  Print the program version to stdout and exit.

-C, --copying

  Print copying permissions to stdout for the program and exit.

## USAGE

This utility is not normally used directly. It is used as the executable in a menuprog entry in a icewm-menu(5).

## EXAMPLES

The following line in a icewm-menu(5) file will dynamically generate a comprehensive set of menus for easy access to .desktop files.

        menuprog "Desktop Apps" folder icewm-menu-fdo

## ENVIRONMENT

XDG_DATA_HOME or XDG_DATA_DIRS are considered as suggested by XDG Base Directory Specification.

## CONFORMING TO

icewm-menu-fdo complies roughly to the XDG .desktop file and menu specification, see "Desktop Entry Specification", Version 1.2alpha, 2015-03-06 and "Desktop Menu Specification", Version 1.1-draft, 31 March 2011.

## CAVEATS

The icewm-menu-fdo program is only built when the icewm(1) package is configured with the --enable-menus-fdo option, which requires the glib2-dev package dependency.

## SEE ALSO

"Desktop Entry Specification", "Desktop Menu Specification", icewm(1), icewm-menu(5), icewm-preferences(5), icewm-programs(5).

## BUGS

Please report bugs at https://github.com/bbidulock/icewm/issues.

## AUTHOR

Brian Bidulock mailto:bidulock@openss7.org.

See --copying for full copyright notice and copying permissions.

## LICENSE

IceWM is licensed under the GNU Library General Public License. See the COPYING file in the distribution or use the --copying flag to display copying permissions.

User Commands